package org.jeecg.modules.projectManagement.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdWorkingHours;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 工时记录
 * @author： jeecg-boot
 * @date：   2019-06-25
 * @version： V1.0
 */
public interface FdWorkingHoursMapper extends BaseMapper<FdWorkingHours> {
    IPage<FdWorkingHours> findByPage(Page<FdWorkingHours> page, @Param("ew")QueryWrapper<FdWorkingHours> queryWrapper);

    int updateReviewBatch(@Param("list") List<String> list);

    int updateAuditBatch(@Param("list") List<String> list);

    int getNowDayCount(@Param("nowDate")String nowDate,@Param("createBy")String createBy);

    IPage<FdWorkingHours> examinePage(Page<FdWorkingHours> page, @Param("ew")QueryWrapper<FdWorkingHours> queryWrapper);

    int updateStatus(@Param("fdWorkingHours")FdWorkingHours fdWorkingHours);
}
